package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.TipoEventoExtra;
import com.rjconsultores.ventaboletos.exception.BusinessException;
import com.rjconsultores.ventaboletos.exception.ValidacionCampoException;

public interface TipoEventoExtraService {

	public List<TipoEventoExtra> buscar(String descingreso);
	
	public List<TipoEventoExtra> buscarLike(String descingreso);

	public List<TipoEventoExtra> obtenerTodos();

	public TipoEventoExtra obtenerID(Integer id);

	public TipoEventoExtra suscribir(TipoEventoExtra entidad) throws ValidacionCampoException;

	public TipoEventoExtra actualizacion(TipoEventoExtra entidad) throws ValidacionCampoException;

	public void borrar(TipoEventoExtra entidad) throws BusinessException;
}
